petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexCopyCoordinates

Copy coordinates from one mesh to another with the same vertices

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCopyCoordinates(DM dmA, DM dmB)

Collective on DM

### Input Parameter

dmA -The DMPlex object with initial coordinates

### Output Parameter

dmB -The DMPlex object with copied coordinates

Note: This is typically used when adding pieces other than vertices to a mesh

### Keywords

mesh

### See Also

DMCopyLabels(), DMGetCoordinates(), DMGetCoordinatesLocal(), DMGetCoordinateDM(), DMGetCoordinateSection()

Level:intermediate
Location:src/dm/impls/plex/plexinterpolate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages